# mit psql zu Datenbank verbinden, Schema setzen, Tabellen befüllen.
# %PATH_TO_DATA% mit dem Pfad zum data-Verzeichnis ersetzen
# %DB_IP% durch IP der postgres-Instanz ersetzen
# Datenbankname und Datenbanknutzer ggfs. anpassen
psql -h %DB_IP% -d mydb -U postgres -c "set SEARCH_PATH to tpch_1_sf" -c "\copy customer from '%PATH_TO_DATA%\customer.tbl' DELIMITER '|' CSV" -c "\copy lineitem from '%PATH_TO_DATA%\lineitem.tbl' DELIMITER '|' CSV" -c "\copy nation from '%PATH_TO_DATA%\nation.tbl' DELIMITER '|' CSV" -c "\copy orders from '%PATH_TO_DATA%\orders.tbl' DELIMITER '|' CSV" -c "\copy part from '%PATH_TO_DATA%\part.tbl' DELIMITER '|' CSV" -c "\copy partsupp from '%PATH_TO_DATA%\partsupp.tbl' DELIMITER '|' CSV" -c "\copy region from '%PATH_TO_DATA%\region.tbl' DELIMITER '|' CSV" -c "\copy supplier from '%PATH_TO_DATA%\supplier.tbl' DELIMITER '|' CSV";


#Hier nochmal die einzelnen Befehle
\copy customer from '%PATH_TO_DATA%\customer.tbl' DELIMITER '|' CSV;
\copy lineitem from '%PATH_TO_DATA%\lineitem.tbl' DELIMITER '|' CSV;
\copy nation from '%PATH_TO_DATA%\nation.tbl' DELIMITER '|' CSV;
\copy orders from '%PATH_TO_DATA%\orders.tbl' DELIMITER '|' CSV;
\copy part from '%PATH_TO_DATA%\part.tbl' DELIMITER '|' CSV;
\copy partsupp from '%PATH_TO_DATA%\partsupp.tbl' DELIMITER '|' CSV;
\copy region from '%PATH_TO_DATA%\region.tbl' DELIMITER '|' CSV;
\copy supplier from '%PATH_TO_DATA%\supplier.tbl' DELIMITER '|' CSV;